// DiagView.h : interface of the CDiagView class
//
/////////////////////////////////////////////////////////////////////////////

class CDiagView : public CTracePage
{
	DECLARE_DYNCREATE(CDiagView)

	virtual void OnUpdate(WPARAM lHint);

	COLORREF m_Highlight;

	void PercentFrame(CStatic&, const sMCM&, CDC *);

public: // create from serialization only
	CDiagView();
	virtual ~CDiagView();
	
public:
	//{{AFX_DATA(CDiagView)
	enum { IDD = IDD_DIAGNOSTIC_FORM };
	//}}AFX_DATA
	CStatic	m_LUFrame[2];
	CStatic	m_FPSFrame[2];
	CStatic	m_BPSFrame[2];

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDiagView)
	public:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
// Generated message map functions
protected:
	//{{AFX_MSG(CDiagView)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
